Environment Backup - Delete Environment Backup

Deletes the specified backup (Preview).

DELETE https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/backups/{backupId}?api-version=2024-10-01

URI Parameters

Name In Required Type Description
backupId
path True

string

The ID of the backup.

environmentId
path True

string

The ID of Environment.

api-version
query True

string

The API version.

Responses

Name Type Description
204 No Content

No Content

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

404 Not Found

Not Found

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

ValidationResponse

Represents the response for validation of an operation.

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.